Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.dbml
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.dbml	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.dbml	(revision 4583)
@@ -0,0 +1,29 @@
+﻿<?xml version="1.0" encoding="utf-8"?><Database Class="ClientManagmentDataContext" xmlns="http://schemas.microsoft.com/linqtosql/dbml/2007">
+  <Table Name="" Member="Resources">
+    <Type Name="Resource" InheritanceCode="Resource" IsInheritanceDefault="true">
+      <Column Name="ResourceID" AutoSync="Never" Type="System.Guid" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
+      <Column Name="Name" Type="System.String" CanBeNull="false" />
+      <Column Name="Description" Type="System.String" CanBeNull="true" />
+      <Column Name="ResourceType" Type="System.String" CanBeNull="false" IsDiscriminator="true" />
+      <Association Name="Resource_ResourceResourceGroup" Member="Clients" Storage="_ResourceResourceGroups" ThisKey="ResourceID" OtherKey="ResourceID" Type="ResourceResourceGroup" />
+      <Association Name="Resource_ResourceResourceGroup1" Member="ResourceGroups" Storage="_ResourceResourceGroups1" ThisKey="ResourceID" OtherKey="ResourceGroupID" Type="ResourceResourceGroup" />
+      <Type Name="Client" InheritanceCode="Client">
+        <Column Name="ProcessorType" Type="System.String" CanBeNull="true" />
+        <Column Name="NumberOfProcessors" Type="System.String" CanBeNull="true" />
+        <Column Name="NumberOfThreads" Type="System.String" CanBeNull="true" />
+        <Column Name="IPAdresse" Type="System.String" CanBeNull="true" />
+        <Column Name="MemorySize" Type="System.String" CanBeNull="true" />
+        <Column Name="OperatingSystem" Type="System.String" CanBeNull="true" />
+      </Type>
+      <Type Name="ResourceGroup" InheritanceCode="ResourceGroup" />
+    </Type>
+  </Table>
+  <Table Name="" Member="ResourceResourceGroups">
+    <Type Name="ResourceResourceGroup">
+      <Column Name="ResourceID" Type="System.Guid" IsPrimaryKey="true" CanBeNull="false" />
+      <Column Name="ResourceGroupID" Type="System.Guid" IsPrimaryKey="true" CanBeNull="false" />
+      <Association Name="Resource_ResourceResourceGroup" Member="Client" Storage="_Resource" ThisKey="ResourceID" OtherKey="ResourceID" Type="Resource" IsForeignKey="true" />
+      <Association Name="Resource_ResourceResourceGroup1" Member="ResourceGroup" Storage="_Resource1" ThisKey="ResourceGroupID" OtherKey="ResourceID" Type="Resource" IsForeignKey="true" />
+    </Type>
+  </Table>
+</Database>
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.dbml.layout
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.dbml.layout	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.dbml.layout	(revision 4583)
@@ -0,0 +1,56 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<ordesignerObjectsDiagram dslVersion="1.0.0.0" absoluteBounds="0, 0, 11, 8.5" name="ClientManagment">
+  <DataContextMoniker Name="/ClientManagmentDataContext" />
+  <nestedChildShapes>
+    <classShape Id="cace4a80-c7a9-4132-9b82-c4ef3884dbc0" absoluteBounds="0.75, 3.875, 2, 1.9631982421874996">
+      <DataClassMoniker Name="/ClientManagmentDataContext/Client" />
+      <nestedChildShapes>
+        <elementListCompartment Id="bce42ce5-f605-4c26-a210-ed4ea2812ca7" absoluteBounds="0.765, 4.335, 1.9700000000000002, 1.4031982421875" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <classShape Id="ea129a98-d63f-4c3a-a3e8-dff64ad53c30" absoluteBounds="2.125, 1.25, 2, 1.5785953776041666">
+      <DataClassMoniker Name="/ClientManagmentDataContext/Resource" />
+      <nestedChildShapes>
+        <elementListCompartment Id="3a656a72-fe83-45a4-87c2-c0aa13fa068f" absoluteBounds="2.14, 1.71, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <inheritanceConnector edgePoints="[(3.125 : 2.82859537760417); (3.125 : 3.5); (1.75 : 3.5); (1.75 : 3.875)]" fixedFrom="NotFixed" fixedTo="NotFixed" TargetRelationshipDomainClassId="7a7fe09e-e9ef-4b01-9ff3-bde95e827b62">
+      <nodes>
+        <classShapeMoniker Id="ea129a98-d63f-4c3a-a3e8-dff64ad53c30" />
+        <classShapeMoniker Id="cace4a80-c7a9-4132-9b82-c4ef3884dbc0" />
+      </nodes>
+    </inheritanceConnector>
+    <classShape Id="7820d3d1-da69-4786-9415-4fa77e5fc03a" absoluteBounds="3.625, 3.875, 2, 0.80938964843749961">
+      <DataClassMoniker Name="/ClientManagmentDataContext/ResourceGroup" />
+      <nestedChildShapes>
+        <elementListCompartment Id="125f9904-768c-4c01-9a04-5212a9e6e484" absoluteBounds="3.64, 4.335, 1.9700000000000002, 0.2493896484375" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <inheritanceConnector edgePoints="[(3.125 : 2.82859537760417); (3.125 : 3.5); (4.625 : 3.5); (4.625 : 3.875)]" fixedFrom="NotFixed" fixedTo="NotFixed" TargetRelationshipDomainClassId="7a7fe09e-e9ef-4b01-9ff3-bde95e827b62">
+      <nodes>
+        <classShapeMoniker Id="ea129a98-d63f-4c3a-a3e8-dff64ad53c30" />
+        <classShapeMoniker Id="7820d3d1-da69-4786-9415-4fa77e5fc03a" />
+      </nodes>
+    </inheritanceConnector>
+    <classShape Id="9b206f4e-128f-4c3f-bd08-7f2d271ebb2b" absoluteBounds="5.125, 1.25, 2, 1.1939925130208331">
+      <DataClassMoniker Name="/ClientManagmentDataContext/ResourceResourceGroup" />
+      <nestedChildShapes>
+        <elementListCompartment Id="9d879183-e5e2-42e9-9fbf-3e68f959d459" absoluteBounds="5.14, 1.71, 1.9700000000000002, 0.63399251302083326" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(4.125 : 1.84699625651042); (5.125 : 1.84699625651042)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/ClientManagmentDataContext/Resource/Resource_ResourceResourceGroup" />
+      <nodes>
+        <classShapeMoniker Id="ea129a98-d63f-4c3a-a3e8-dff64ad53c30" />
+        <classShapeMoniker Id="9b206f4e-128f-4c3f-bd08-7f2d271ebb2b" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(4.125 : 1.48599812825521); (5.125 : 1.48599812825521)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/ClientManagmentDataContext/Resource/Resource_ResourceResourceGroup1" />
+      <nodes>
+        <classShapeMoniker Id="ea129a98-d63f-4c3a-a3e8-dff64ad53c30" />
+        <classShapeMoniker Id="9b206f4e-128f-4c3f-bd08-7f2d271ebb2b" />
+      </nodes>
+    </associationConnector>
+  </nestedChildShapes>
+</ordesignerObjectsDiagram>
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.designer.cs
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.designer.cs	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.designer.cs	(revision 4583)
@@ -0,0 +1,616 @@
+﻿#pragma warning disable 1591
+//------------------------------------------------------------------------------
+// <auto-generated>
+//     This code was generated by a tool.
+//     Runtime Version:4.0.30319.1
+//
+//     Changes to this file may cause incorrect behavior and will be lost if
+//     the code is regenerated.
+// </auto-generated>
+//------------------------------------------------------------------------------
+
+namespace HeuristicLab.Services.Authentication.DataAccess
+{
+	using System.Data.Linq;
+	using System.Data.Linq.Mapping;
+	using System.Data;
+	using System.Collections.Generic;
+	using System.Reflection;
+	using System.Linq;
+	using System.Linq.Expressions;
+	using System.ComponentModel;
+	using System;
+	
+	
+	public partial class ClientManagmentDataContext : System.Data.Linq.DataContext
+	{
+		
+		private static System.Data.Linq.Mapping.MappingSource mappingSource = new AttributeMappingSource();
+		
+    #region Extensibility Method Definitions
+    partial void OnCreated();
+    partial void InsertResource(Resource instance);
+    partial void UpdateResource(Resource instance);
+    partial void DeleteResource(Resource instance);
+    partial void InsertResourceResourceGroup(ResourceResourceGroup instance);
+    partial void UpdateResourceResourceGroup(ResourceResourceGroup instance);
+    partial void DeleteResourceResourceGroup(ResourceResourceGroup instance);
+    #endregion
+		
+		public ClientManagmentDataContext(string connection) : 
+				base(connection, mappingSource)
+		{
+			OnCreated();
+		}
+		
+		public ClientManagmentDataContext(System.Data.IDbConnection connection) : 
+				base(connection, mappingSource)
+		{
+			OnCreated();
+		}
+		
+		public ClientManagmentDataContext(string connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
+				base(connection, mappingSource)
+		{
+			OnCreated();
+		}
+		
+		public ClientManagmentDataContext(System.Data.IDbConnection connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
+				base(connection, mappingSource)
+		{
+			OnCreated();
+		}
+		
+		public System.Data.Linq.Table<Resource> Resources
+		{
+			get
+			{
+				return this.GetTable<Resource>();
+			}
+		}
+		
+		public System.Data.Linq.Table<ResourceResourceGroup> ResourceResourceGroups
+		{
+			get
+			{
+				return this.GetTable<ResourceResourceGroup>();
+			}
+		}
+	}
+	
+	[global::System.Data.Linq.Mapping.TableAttribute(Name="")]
+	[global::System.Data.Linq.Mapping.InheritanceMappingAttribute(Code="Resource", Type=typeof(Resource), IsDefault=true)]
+	[global::System.Data.Linq.Mapping.InheritanceMappingAttribute(Code="Client", Type=typeof(Client))]
+	[global::System.Data.Linq.Mapping.InheritanceMappingAttribute(Code="ResourceGroup", Type=typeof(ResourceGroup))]
+	public partial class Resource : INotifyPropertyChanging, INotifyPropertyChanged
+	{
+		
+		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
+		
+		private System.Guid _ResourceID;
+		
+		private string _Name;
+		
+		private string _Description;
+		
+		private string _ResourceType;
+		
+		private EntitySet<ResourceResourceGroup> _ResourceResourceGroups;
+		
+		private EntitySet<ResourceResourceGroup> _ResourceResourceGroups1;
+		
+    #region Extensibility Method Definitions
+    partial void OnLoaded();
+    partial void OnValidate(System.Data.Linq.ChangeAction action);
+    partial void OnCreated();
+    partial void OnResourceIDChanging(System.Guid value);
+    partial void OnResourceIDChanged();
+    partial void OnNameChanging(string value);
+    partial void OnNameChanged();
+    partial void OnDescriptionChanging(string value);
+    partial void OnDescriptionChanged();
+    partial void OnResourceTypeChanging(string value);
+    partial void OnResourceTypeChanged();
+    #endregion
+		
+		public Resource()
+		{
+			this._ResourceResourceGroups = new EntitySet<ResourceResourceGroup>(new Action<ResourceResourceGroup>(this.attach_ResourceResourceGroups), new Action<ResourceResourceGroup>(this.detach_ResourceResourceGroups));
+			this._ResourceResourceGroups1 = new EntitySet<ResourceResourceGroup>(new Action<ResourceResourceGroup>(this.attach_ResourceResourceGroups1), new Action<ResourceResourceGroup>(this.detach_ResourceResourceGroups1));
+			OnCreated();
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ResourceID", IsPrimaryKey=true, IsDbGenerated=true)]
+		public System.Guid ResourceID
+		{
+			get
+			{
+				return this._ResourceID;
+			}
+			set
+			{
+				if ((this._ResourceID != value))
+				{
+					this.OnResourceIDChanging(value);
+					this.SendPropertyChanging();
+					this._ResourceID = value;
+					this.SendPropertyChanged("ResourceID");
+					this.OnResourceIDChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Name", CanBeNull=false)]
+		public string Name
+		{
+			get
+			{
+				return this._Name;
+			}
+			set
+			{
+				if ((this._Name != value))
+				{
+					this.OnNameChanging(value);
+					this.SendPropertyChanging();
+					this._Name = value;
+					this.SendPropertyChanged("Name");
+					this.OnNameChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Description")]
+		public string Description
+		{
+			get
+			{
+				return this._Description;
+			}
+			set
+			{
+				if ((this._Description != value))
+				{
+					this.OnDescriptionChanging(value);
+					this.SendPropertyChanging();
+					this._Description = value;
+					this.SendPropertyChanged("Description");
+					this.OnDescriptionChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ResourceType", CanBeNull=false, IsDiscriminator=true)]
+		public string ResourceType
+		{
+			get
+			{
+				return this._ResourceType;
+			}
+			set
+			{
+				if ((this._ResourceType != value))
+				{
+					this.OnResourceTypeChanging(value);
+					this.SendPropertyChanging();
+					this._ResourceType = value;
+					this.SendPropertyChanged("ResourceType");
+					this.OnResourceTypeChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Resource_ResourceResourceGroup", Storage="_ResourceResourceGroups", ThisKey="ResourceID", OtherKey="ResourceID")]
+		public EntitySet<ResourceResourceGroup> Clients
+		{
+			get
+			{
+				return this._ResourceResourceGroups;
+			}
+			set
+			{
+				this._ResourceResourceGroups.Assign(value);
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Resource_ResourceResourceGroup1", Storage="_ResourceResourceGroups1", ThisKey="ResourceID", OtherKey="ResourceGroupID")]
+		public EntitySet<ResourceResourceGroup> ResourceGroups
+		{
+			get
+			{
+				return this._ResourceResourceGroups1;
+			}
+			set
+			{
+				this._ResourceResourceGroups1.Assign(value);
+			}
+		}
+		
+		public event PropertyChangingEventHandler PropertyChanging;
+		
+		public event PropertyChangedEventHandler PropertyChanged;
+		
+		protected virtual void SendPropertyChanging()
+		{
+			if ((this.PropertyChanging != null))
+			{
+				this.PropertyChanging(this, emptyChangingEventArgs);
+			}
+		}
+		
+		protected virtual void SendPropertyChanged(String propertyName)
+		{
+			if ((this.PropertyChanged != null))
+			{
+				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
+			}
+		}
+		
+		private void attach_ResourceResourceGroups(ResourceResourceGroup entity)
+		{
+			this.SendPropertyChanging();
+			entity.Client = this;
+		}
+		
+		private void detach_ResourceResourceGroups(ResourceResourceGroup entity)
+		{
+			this.SendPropertyChanging();
+			entity.Client = null;
+		}
+		
+		private void attach_ResourceResourceGroups1(ResourceResourceGroup entity)
+		{
+			this.SendPropertyChanging();
+			entity.ResourceGroup = this;
+		}
+		
+		private void detach_ResourceResourceGroups1(ResourceResourceGroup entity)
+		{
+			this.SendPropertyChanging();
+			entity.ResourceGroup = null;
+		}
+	}
+	
+	public partial class Client : Resource
+	{
+		
+		private string _ProcessorType;
+		
+		private string _NumberOfProcessors;
+		
+		private string _NumberOfThreads;
+		
+		private string _IPAdresse;
+		
+		private string _MemorySize;
+		
+		private string _OperatingSystem;
+		
+    #region Extensibility Method Definitions
+    partial void OnLoaded();
+    partial void OnValidate(System.Data.Linq.ChangeAction action);
+    partial void OnCreated();
+    partial void OnProcessorTypeChanging(string value);
+    partial void OnProcessorTypeChanged();
+    partial void OnNumberOfProcessorsChanging(string value);
+    partial void OnNumberOfProcessorsChanged();
+    partial void OnNumberOfThreadsChanging(string value);
+    partial void OnNumberOfThreadsChanged();
+    partial void OnIPAdresseChanging(string value);
+    partial void OnIPAdresseChanged();
+    partial void OnMemorySizeChanging(string value);
+    partial void OnMemorySizeChanged();
+    partial void OnOperatingSystemChanging(string value);
+    partial void OnOperatingSystemChanged();
+    #endregion
+		
+		public Client()
+		{
+			OnCreated();
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ProcessorType")]
+		public string ProcessorType
+		{
+			get
+			{
+				return this._ProcessorType;
+			}
+			set
+			{
+				if ((this._ProcessorType != value))
+				{
+					this.OnProcessorTypeChanging(value);
+					this.SendPropertyChanging();
+					this._ProcessorType = value;
+					this.SendPropertyChanged("ProcessorType");
+					this.OnProcessorTypeChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_NumberOfProcessors")]
+		public string NumberOfProcessors
+		{
+			get
+			{
+				return this._NumberOfProcessors;
+			}
+			set
+			{
+				if ((this._NumberOfProcessors != value))
+				{
+					this.OnNumberOfProcessorsChanging(value);
+					this.SendPropertyChanging();
+					this._NumberOfProcessors = value;
+					this.SendPropertyChanged("NumberOfProcessors");
+					this.OnNumberOfProcessorsChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_NumberOfThreads")]
+		public string NumberOfThreads
+		{
+			get
+			{
+				return this._NumberOfThreads;
+			}
+			set
+			{
+				if ((this._NumberOfThreads != value))
+				{
+					this.OnNumberOfThreadsChanging(value);
+					this.SendPropertyChanging();
+					this._NumberOfThreads = value;
+					this.SendPropertyChanged("NumberOfThreads");
+					this.OnNumberOfThreadsChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_IPAdresse")]
+		public string IPAdresse
+		{
+			get
+			{
+				return this._IPAdresse;
+			}
+			set
+			{
+				if ((this._IPAdresse != value))
+				{
+					this.OnIPAdresseChanging(value);
+					this.SendPropertyChanging();
+					this._IPAdresse = value;
+					this.SendPropertyChanged("IPAdresse");
+					this.OnIPAdresseChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_MemorySize")]
+		public string MemorySize
+		{
+			get
+			{
+				return this._MemorySize;
+			}
+			set
+			{
+				if ((this._MemorySize != value))
+				{
+					this.OnMemorySizeChanging(value);
+					this.SendPropertyChanging();
+					this._MemorySize = value;
+					this.SendPropertyChanged("MemorySize");
+					this.OnMemorySizeChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_OperatingSystem")]
+		public string OperatingSystem
+		{
+			get
+			{
+				return this._OperatingSystem;
+			}
+			set
+			{
+				if ((this._OperatingSystem != value))
+				{
+					this.OnOperatingSystemChanging(value);
+					this.SendPropertyChanging();
+					this._OperatingSystem = value;
+					this.SendPropertyChanged("OperatingSystem");
+					this.OnOperatingSystemChanged();
+				}
+			}
+		}
+	}
+	
+	public partial class ResourceGroup : Resource
+	{
+		
+    #region Extensibility Method Definitions
+    partial void OnLoaded();
+    partial void OnValidate(System.Data.Linq.ChangeAction action);
+    partial void OnCreated();
+    #endregion
+		
+		public ResourceGroup()
+		{
+			OnCreated();
+		}
+	}
+	
+	[global::System.Data.Linq.Mapping.TableAttribute(Name="")]
+	public partial class ResourceResourceGroup : INotifyPropertyChanging, INotifyPropertyChanged
+	{
+		
+		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
+		
+		private System.Guid _ResourceID;
+		
+		private System.Guid _ResourceGroupID;
+		
+		private EntityRef<Resource> _Resource;
+		
+		private EntityRef<Resource> _Resource1;
+		
+    #region Extensibility Method Definitions
+    partial void OnLoaded();
+    partial void OnValidate(System.Data.Linq.ChangeAction action);
+    partial void OnCreated();
+    partial void OnResourceIDChanging(System.Guid value);
+    partial void OnResourceIDChanged();
+    partial void OnResourceGroupIDChanging(System.Guid value);
+    partial void OnResourceGroupIDChanged();
+    #endregion
+		
+		public ResourceResourceGroup()
+		{
+			this._Resource = default(EntityRef<Resource>);
+			this._Resource1 = default(EntityRef<Resource>);
+			OnCreated();
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ResourceID", IsPrimaryKey=true)]
+		public System.Guid ResourceID
+		{
+			get
+			{
+				return this._ResourceID;
+			}
+			set
+			{
+				if ((this._ResourceID != value))
+				{
+					if (this._Resource.HasLoadedOrAssignedValue)
+					{
+						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
+					}
+					this.OnResourceIDChanging(value);
+					this.SendPropertyChanging();
+					this._ResourceID = value;
+					this.SendPropertyChanged("ResourceID");
+					this.OnResourceIDChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ResourceGroupID", IsPrimaryKey=true)]
+		public System.Guid ResourceGroupID
+		{
+			get
+			{
+				return this._ResourceGroupID;
+			}
+			set
+			{
+				if ((this._ResourceGroupID != value))
+				{
+					if (this._Resource1.HasLoadedOrAssignedValue)
+					{
+						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
+					}
+					this.OnResourceGroupIDChanging(value);
+					this.SendPropertyChanging();
+					this._ResourceGroupID = value;
+					this.SendPropertyChanged("ResourceGroupID");
+					this.OnResourceGroupIDChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Resource_ResourceResourceGroup", Storage="_Resource", ThisKey="ResourceID", OtherKey="ResourceID", IsForeignKey=true)]
+		public Resource Client
+		{
+			get
+			{
+				return this._Resource.Entity;
+			}
+			set
+			{
+				Resource previousValue = this._Resource.Entity;
+				if (((previousValue != value) 
+							|| (this._Resource.HasLoadedOrAssignedValue == false)))
+				{
+					this.SendPropertyChanging();
+					if ((previousValue != null))
+					{
+						this._Resource.Entity = null;
+						previousValue.Clients.Remove(this);
+					}
+					this._Resource.Entity = value;
+					if ((value != null))
+					{
+						value.Clients.Add(this);
+						this._ResourceID = value.ResourceID;
+					}
+					else
+					{
+						this._ResourceID = default(System.Guid);
+					}
+					this.SendPropertyChanged("Client");
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Resource_ResourceResourceGroup1", Storage="_Resource1", ThisKey="ResourceGroupID", OtherKey="ResourceID", IsForeignKey=true)]
+		public Resource ResourceGroup
+		{
+			get
+			{
+				return this._Resource1.Entity;
+			}
+			set
+			{
+				Resource previousValue = this._Resource1.Entity;
+				if (((previousValue != value) 
+							|| (this._Resource1.HasLoadedOrAssignedValue == false)))
+				{
+					this.SendPropertyChanging();
+					if ((previousValue != null))
+					{
+						this._Resource1.Entity = null;
+						previousValue.ResourceGroups.Remove(this);
+					}
+					this._Resource1.Entity = value;
+					if ((value != null))
+					{
+						value.ResourceGroups.Add(this);
+						this._ResourceGroupID = value.ResourceID;
+					}
+					else
+					{
+						this._ResourceGroupID = default(System.Guid);
+					}
+					this.SendPropertyChanged("ResourceGroup");
+				}
+			}
+		}
+		
+		public event PropertyChangingEventHandler PropertyChanging;
+		
+		public event PropertyChangedEventHandler PropertyChanged;
+		
+		protected virtual void SendPropertyChanging()
+		{
+			if ((this.PropertyChanging != null))
+			{
+				this.PropertyChanging(this, emptyChangingEventArgs);
+			}
+		}
+		
+		protected virtual void SendPropertyChanged(String propertyName)
+		{
+			if ((this.PropertyChanged != null))
+			{
+				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
+			}
+		}
+	}
+}
+#pragma warning restore 1591
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/HeuristicLab.Services.Authentication.DataAccess.csproj
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/HeuristicLab.Services.Authentication.DataAccess.csproj	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/HeuristicLab.Services.Authentication.DataAccess.csproj	(revision 4583)
@@ -0,0 +1,74 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>8.0.30703</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{AC7C2117-034E-4301-8A43-C869930D404E}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.Services.Authentication.DataAccess</RootNamespace>
+    <AssemblyName>HeuristicLab.Services.Authentication.DataAccess</AssemblyName>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="System" />
+    <Reference Include="System.Core" />
+    <Reference Include="System.Data.Linq" />
+    <Reference Include="System.Xml.Linq" />
+    <Reference Include="System.Data.DataSetExtensions" />
+    <Reference Include="Microsoft.CSharp" />
+    <Reference Include="System.Data" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="ClientManagment.designer.cs">
+      <AutoGen>True</AutoGen>
+      <DesignTime>True</DesignTime>
+      <DependentUpon>ClientManagment.dbml</DependentUpon>
+    </Compile>
+    <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="ClientManagment.dbml">
+      <Generator>MSLinqToSQLGenerator</Generator>
+      <LastGenOutput>ClientManagment.designer.cs</LastGenOutput>
+      <SubType>Designer</SubType>
+    </None>
+  </ItemGroup>
+  <ItemGroup>
+    <Service Include="{3259AA49-8AA1-44D3-9025-A0B520596A8C}" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="ClientManagment.dbml.layout">
+      <DependentUpon>ClientManagment.dbml</DependentUpon>
+    </None>
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/Properties/AssemblyInfo.cs
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/Properties/AssemblyInfo.cs	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/Properties/AssemblyInfo.cs	(revision 4583)
@@ -0,0 +1,36 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Services.Authentication.DataAccess")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("Microsoft")]
+[assembly: AssemblyProduct("HeuristicLab.Services.Authentication.DataAccess")]
+[assembly: AssemblyCopyright("Copyright © Microsoft 2010")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("f48bf90e-e37d-41ce-908f-69f925f21f59")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("1.0.0.0")]
+[assembly: AssemblyFileVersion("1.0.0.0")]
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/Class1.cs
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/Class1.cs	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/Class1.cs	(revision 4583)
@@ -0,0 +1,12 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+namespace HeuristicLab.Services.Authentication.DataTransfer
+{
+    public class Class1
+    {
+              
+    }
+}
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/HeuristicLab.Services.Authentication.DataTransfer.csproj
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/HeuristicLab.Services.Authentication.DataTransfer.csproj	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/HeuristicLab.Services.Authentication.DataTransfer.csproj	(revision 4583)
@@ -0,0 +1,54 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>8.0.30703</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{73E5113E-A293-4384-8B16-3CE38F2CFDC9}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.Services.Authentication.DataTransfer</RootNamespace>
+    <AssemblyName>HeuristicLab.Services.Authentication.DataTransfer</AssemblyName>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="System" />
+    <Reference Include="System.Core" />
+    <Reference Include="System.Xml.Linq" />
+    <Reference Include="System.Data.DataSetExtensions" />
+    <Reference Include="Microsoft.CSharp" />
+    <Reference Include="System.Data" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="Class1.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/Properties/AssemblyInfo.cs
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/Properties/AssemblyInfo.cs	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/Properties/AssemblyInfo.cs	(revision 4583)
@@ -0,0 +1,36 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Services.Authentication.DataTransfer")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("Microsoft")]
+[assembly: AssemblyProduct("HeuristicLab.Services.Authentication.DataTransfer")]
+[assembly: AssemblyCopyright("Copyright © Microsoft 2010")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("a3bfa93e-a3dc-49e4-a0ea-c6c29a29ced3")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("1.0.0.0")]
+[assembly: AssemblyFileVersion("1.0.0.0")]
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.sln
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.sln	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.sln	(revision 4583)
@@ -0,0 +1,66 @@
+﻿
+Microsoft Visual Studio Solution File, Format Version 11.00
+# Visual Studio 2010
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Authentication.DataAccess", "HeuristicLab.Services.Authentication.DataAccess\HeuristicLab.Services.Authentication.DataAccess.csproj", "{AC7C2117-034E-4301-8A43-C869930D404E}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Authentication.DataTransfer", "HeuristicLab.Services.Authentication.DataTransfer\HeuristicLab.Services.Authentication.DataTransfer.csproj", "{73E5113E-A293-4384-8B16-3CE38F2CFDC9}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Authentication", "HeuristicLab.Services.Authentication\HeuristicLab.Services.Authentication.csproj", "{ED8DC6E8-57C6-49E0-8CDF-25703AC52350}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "Test", "Test\Test.csproj", "{D83C93B5-5DDE-4A66-A9B8-D7FD0A891ABB}"
+EndProject
+Global
+	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		Debug|Any CPU = Debug|Any CPU
+		Debug|Mixed Platforms = Debug|Mixed Platforms
+		Debug|x86 = Debug|x86
+		Release|Any CPU = Release|Any CPU
+		Release|Mixed Platforms = Release|Mixed Platforms
+		Release|x86 = Release|x86
+	EndGlobalSection
+	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{AC7C2117-034E-4301-8A43-C869930D404E}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{AC7C2117-034E-4301-8A43-C869930D404E}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{AC7C2117-034E-4301-8A43-C869930D404E}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
+		{AC7C2117-034E-4301-8A43-C869930D404E}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
+		{AC7C2117-034E-4301-8A43-C869930D404E}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{AC7C2117-034E-4301-8A43-C869930D404E}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{AC7C2117-034E-4301-8A43-C869930D404E}.Release|Any CPU.Build.0 = Release|Any CPU
+		{AC7C2117-034E-4301-8A43-C869930D404E}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
+		{AC7C2117-034E-4301-8A43-C869930D404E}.Release|Mixed Platforms.Build.0 = Release|Any CPU
+		{AC7C2117-034E-4301-8A43-C869930D404E}.Release|x86.ActiveCfg = Release|Any CPU
+		{73E5113E-A293-4384-8B16-3CE38F2CFDC9}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{73E5113E-A293-4384-8B16-3CE38F2CFDC9}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{73E5113E-A293-4384-8B16-3CE38F2CFDC9}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
+		{73E5113E-A293-4384-8B16-3CE38F2CFDC9}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
+		{73E5113E-A293-4384-8B16-3CE38F2CFDC9}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{73E5113E-A293-4384-8B16-3CE38F2CFDC9}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{73E5113E-A293-4384-8B16-3CE38F2CFDC9}.Release|Any CPU.Build.0 = Release|Any CPU
+		{73E5113E-A293-4384-8B16-3CE38F2CFDC9}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
+		{73E5113E-A293-4384-8B16-3CE38F2CFDC9}.Release|Mixed Platforms.Build.0 = Release|Any CPU
+		{73E5113E-A293-4384-8B16-3CE38F2CFDC9}.Release|x86.ActiveCfg = Release|Any CPU
+		{ED8DC6E8-57C6-49E0-8CDF-25703AC52350}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{ED8DC6E8-57C6-49E0-8CDF-25703AC52350}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{ED8DC6E8-57C6-49E0-8CDF-25703AC52350}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
+		{ED8DC6E8-57C6-49E0-8CDF-25703AC52350}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
+		{ED8DC6E8-57C6-49E0-8CDF-25703AC52350}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{ED8DC6E8-57C6-49E0-8CDF-25703AC52350}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{ED8DC6E8-57C6-49E0-8CDF-25703AC52350}.Release|Any CPU.Build.0 = Release|Any CPU
+		{ED8DC6E8-57C6-49E0-8CDF-25703AC52350}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
+		{ED8DC6E8-57C6-49E0-8CDF-25703AC52350}.Release|Mixed Platforms.Build.0 = Release|Any CPU
+		{ED8DC6E8-57C6-49E0-8CDF-25703AC52350}.Release|x86.ActiveCfg = Release|Any CPU
+		{D83C93B5-5DDE-4A66-A9B8-D7FD0A891ABB}.Debug|Any CPU.ActiveCfg = Debug|x86
+		{D83C93B5-5DDE-4A66-A9B8-D7FD0A891ABB}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{D83C93B5-5DDE-4A66-A9B8-D7FD0A891ABB}.Debug|Mixed Platforms.Build.0 = Debug|x86
+		{D83C93B5-5DDE-4A66-A9B8-D7FD0A891ABB}.Debug|x86.ActiveCfg = Debug|x86
+		{D83C93B5-5DDE-4A66-A9B8-D7FD0A891ABB}.Debug|x86.Build.0 = Debug|x86
+		{D83C93B5-5DDE-4A66-A9B8-D7FD0A891ABB}.Release|Any CPU.ActiveCfg = Release|x86
+		{D83C93B5-5DDE-4A66-A9B8-D7FD0A891ABB}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{D83C93B5-5DDE-4A66-A9B8-D7FD0A891ABB}.Release|Mixed Platforms.Build.0 = Release|x86
+		{D83C93B5-5DDE-4A66-A9B8-D7FD0A891ABB}.Release|x86.ActiveCfg = Release|x86
+		{D83C93B5-5DDE-4A66-A9B8-D7FD0A891ABB}.Release|x86.Build.0 = Release|x86
+	EndGlobalSection
+	GlobalSection(SolutionProperties) = preSolution
+		HideSolutionNode = FALSE
+	EndGlobalSection
+EndGlobal
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.csproj
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.csproj	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.csproj	(revision 4583)
@@ -0,0 +1,103 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>
+    </ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{ED8DC6E8-57C6-49E0-8CDF-25703AC52350}</ProjectGuid>
+    <ProjectTypeGuids>{349c5851-65df-11da-9384-00065b846f21};{fae04ec0-301f-11d3-bf4b-00c04f79efbc}</ProjectTypeGuids>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.Services.Authentication</RootNamespace>
+    <AssemblyName>HeuristicLab.Services.Authentication</AssemblyName>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="Microsoft.CSharp" />
+    <Reference Include="System.Web.DynamicData" />
+    <Reference Include="System.Web.Entity" />
+    <Reference Include="System.Web.ApplicationServices" />
+    <Reference Include="System" />
+    <Reference Include="System.Configuration" />
+    <Reference Include="System.Core" />
+    <Reference Include="System.Data" />
+    <Reference Include="System.Drawing" />
+    <Reference Include="System.EnterpriseServices" />
+    <Reference Include="System.Runtime.Serialization" />
+    <Reference Include="System.ServiceModel" />
+    <Reference Include="System.ServiceModel.Web" />
+    <Reference Include="System.Web" />
+    <Reference Include="System.Web.Extensions" />
+    <Reference Include="System.Web.Services" />
+    <Reference Include="System.Xml" />
+    <Reference Include="System.Xml.Linq" />
+  </ItemGroup>
+  <ItemGroup>
+    <Content Include="Service1.svc" />
+    <Content Include="Web.config" />
+    <Content Include="Web.Debug.config">
+      <DependentUpon>Web.config</DependentUpon>
+    </Content>
+    <Content Include="Web.Release.config">
+      <DependentUpon>Web.config</DependentUpon>
+    </Content>
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="Service1.svc.cs">
+      <DependentUpon>Service1.svc</DependentUpon>
+    </Compile>
+    <Compile Include="IService1.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <Folder Include="App_Data\" />
+  </ItemGroup>
+  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
+  <Import Project="$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v10.0\WebApplications\Microsoft.WebApplication.targets" />
+  <ProjectExtensions>
+    <VisualStudio>
+      <FlavorProperties GUID="{349c5851-65df-11da-9384-00065b846f21}">
+        <WebProjectProperties>
+          <UseIIS>False</UseIIS>
+          <AutoAssignPort>True</AutoAssignPort>
+          <DevelopmentServerPort>5248</DevelopmentServerPort>
+          <DevelopmentServerVPath>/</DevelopmentServerVPath>
+          <IISUrl>
+          </IISUrl>
+          <NTLMAuthentication>False</NTLMAuthentication>
+          <UseCustomServer>False</UseCustomServer>
+          <CustomServerUrl>
+          </CustomServerUrl>
+          <SaveServerSettingsInUserFile>False</SaveServerSettingsInUserFile>
+          <EnableWcfTestClientForSVCDefaultValue>True</EnableWcfTestClientForSVCDefaultValue>
+        </WebProjectProperties>
+      </FlavorProperties>
+    </VisualStudio>
+  </ProjectExtensions>
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.csproj.user
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.csproj.user	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.csproj.user	(revision 4583)
@@ -0,0 +1,28 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ProjectExtensions>
+    <VisualStudio>
+      <FlavorProperties GUID="{349c5851-65df-11da-9384-00065b846f21}">
+        <WebProjectProperties>
+          <StartPageUrl>
+          </StartPageUrl>
+          <StartAction>CurrentPage</StartAction>
+          <AspNetDebugging>True</AspNetDebugging>
+          <SilverlightDebugging>False</SilverlightDebugging>
+          <NativeDebugging>False</NativeDebugging>
+          <SQLDebugging>False</SQLDebugging>
+          <ExternalProgram>
+          </ExternalProgram>
+          <StartExternalURL>
+          </StartExternalURL>
+          <StartCmdLineArguments>
+          </StartCmdLineArguments>
+          <StartWorkingDirectory>
+          </StartWorkingDirectory>
+          <EnableENC>False</EnableENC>
+          <AlwaysStartWebServerOnDebug>True</AlwaysStartWebServerOnDebug>
+        </WebProjectProperties>
+      </FlavorProperties>
+    </VisualStudio>
+  </ProjectExtensions>
+</Project>
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/IService1.cs
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/IService1.cs	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/IService1.cs	(revision 4583)
@@ -0,0 +1,47 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Runtime.Serialization;
+using System.ServiceModel;
+using System.ServiceModel.Web;
+using System.Text;
+
+namespace HeuristicLab.Services.Authentication
+{
+    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "IService1" in both code and config file together.
+    [ServiceContract]
+    public interface IService1
+    {
+
+        [OperationContract]
+        string GetData(int value);
+
+        [OperationContract]
+        CompositeType GetDataUsingDataContract(CompositeType composite);
+
+        // TODO: Add your service operations here
+    }
+
+
+    // Use a data contract as illustrated in the sample below to add composite types to service operations.
+    [DataContract]
+    public class CompositeType
+    {
+        bool boolValue = true;
+        string stringValue = "Hello ";
+
+        [DataMember]
+        public bool BoolValue
+        {
+            get { return boolValue; }
+            set { boolValue = value; }
+        }
+
+        [DataMember]
+        public string StringValue
+        {
+            get { return stringValue; }
+            set { stringValue = value; }
+        }
+    }
+}
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Properties/AssemblyInfo.cs
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Properties/AssemblyInfo.cs	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Properties/AssemblyInfo.cs	(revision 4583)
@@ -0,0 +1,36 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Services.Authentication")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("Microsoft")]
+[assembly: AssemblyProduct("HeuristicLab.Services.Authentication")]
+[assembly: AssemblyCopyright("Copyright © Microsoft 2010")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("5c108dcc-2ce8-4a99-be06-ad840a6a2712")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Revision and Build Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("1.0.0.0")]
+[assembly: AssemblyFileVersion("1.0.0.0")]
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Service1.svc
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Service1.svc	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Service1.svc	(revision 4583)
@@ -0,0 +1,1 @@
+﻿<%@ ServiceHost Language="C#" Debug="true" Service="HeuristicLab.Services.Authentication.Service1" CodeBehind="Service1.svc.cs" %>
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Service1.svc.cs
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Service1.svc.cs	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Service1.svc.cs	(revision 4583)
@@ -0,0 +1,32 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Runtime.Serialization;
+using System.ServiceModel;
+using System.ServiceModel.Web;
+using System.Text;
+
+namespace HeuristicLab.Services.Authentication
+{
+    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "Service1" in code, svc and config file together.
+    public class Service1 : IService1
+    {
+        public string GetData(int value)
+        {
+            return string.Format("You entered: {0}", value);
+        }
+
+        public CompositeType GetDataUsingDataContract(CompositeType composite)
+        {
+            if (composite == null)
+            {
+                throw new ArgumentNullException("composite");
+            }
+            if (composite.BoolValue)
+            {
+                composite.StringValue += "Suffix";
+            }
+            return composite;
+        }
+    }
+}
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Web.Debug.config
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Web.Debug.config	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Web.Debug.config	(revision 4583)
@@ -0,0 +1,7 @@
+﻿<?xml version="1.0"?>
+
+<!-- For more information on using web.config transformation visit http://go.microsoft.com/fwlink/?LinkId=125889 -->
+
+<configuration xmlns:xdt="http://schemas.microsoft.com/XML-Document-Transform">
+
+</configuration>
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Web.Release.config
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Web.Release.config	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Web.Release.config	(revision 4583)
@@ -0,0 +1,11 @@
+﻿<?xml version="1.0"?>
+
+<!-- For more information on using web.config transformation visit http://go.microsoft.com/fwlink/?LinkId=125889 -->
+
+<configuration xmlns:xdt="http://schemas.microsoft.com/XML-Document-Transform">
+
+  <system.web>
+    <compilation xdt:Transform="RemoveAttributes(debug)" />
+  </system.web>
+
+</configuration>
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Web.config
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Web.config	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Web.config	(revision 4583)
@@ -0,0 +1,24 @@
+﻿<?xml version="1.0"?>
+<configuration>
+
+  <system.web>
+    <compilation debug="true" targetFramework="4.0" />
+  </system.web>
+  <system.serviceModel>
+    <behaviors>
+      <serviceBehaviors>
+        <behavior>
+          <!-- To avoid disclosing metadata information, set the value below to false and remove the metadata endpoint above before deployment -->
+          <serviceMetadata httpGetEnabled="true"/>
+          <!-- To receive exception details in faults for debugging purposes, set the value below to true.  Set to false before deployment to avoid disclosing exception information -->
+          <serviceDebug includeExceptionDetailInFaults="false"/>
+        </behavior>
+      </serviceBehaviors>
+    </behaviors>
+    <serviceHostingEnvironment multipleSiteBindingsEnabled="true" />
+  </system.serviceModel>
+ <system.webServer>
+    <modules runAllManagedModulesForAllRequests="true"/>
+  </system.webServer>
+  
+</configuration>
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/Test/Program.cs
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/Test/Program.cs	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/Test/Program.cs	(revision 4583)
@@ -0,0 +1,57 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.Services.Authentication.DataAccess;
+
+namespace Test
+{
+    class Program
+    {
+        static void Main(string[] args)
+        {
+
+            ClientManagmentDataContext dc = new ClientManagmentDataContext(@"Data Source=eagle-eye\sqlexpress;Initial Catalog=ClientManagment;Integrated Security=SSPI;");
+         
+            
+            
+            //if (dc.DatabaseExists())
+            //{
+            //    Console.WriteLine("DB exsits");
+            //    dc.DeleteDatabase();
+            //    Console.WriteLine("DB deleted");
+            //}
+            //Console.WriteLine("DB create");
+            //dc.CreateDatabase();
+            //Console.WriteLine("Finished");
+           
+            
+            
+            Client c = new Client();
+
+            c.ResourceID = Guid.NewGuid();
+            c.Name = "Eagle-Eye";
+            c.Description = "Development-PC";
+            c.IPAdresse = "192.168.0.1";
+            //c.ResourceType = "Client";
+            ResourceGroup r = new ResourceGroup();
+            r.Name = "test";
+
+            ResourceResourceGroup rrg = new ResourceResourceGroup();
+            rrg.ResourceGroup = r;
+            rrg.Client = c;
+            
+            
+            dc.GetTable<Resource>().InsertOnSubmit(r);
+            dc.GetTable<Resource>().InsertOnSubmit(c);
+
+            dc.GetTable<ResourceResourceGroup>().InsertOnSubmit(rrg);
+
+            dc.SubmitChanges();
+
+
+
+
+        }
+    }
+}
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/Test/Properties/AssemblyInfo.cs
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/Test/Properties/AssemblyInfo.cs	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/Test/Properties/AssemblyInfo.cs	(revision 4583)
@@ -0,0 +1,36 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("Test")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("Microsoft")]
+[assembly: AssemblyProduct("Test")]
+[assembly: AssemblyCopyright("Copyright © Microsoft 2010")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("cf331fcf-c649-4e24-b73a-74e61f9fc756")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("1.0.0.0")]
+[assembly: AssemblyFileVersion("1.0.0.0")]
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/Test/Test.csproj
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/Test/Test.csproj	(revision 4583)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/Test/Test.csproj	(revision 4583)
@@ -0,0 +1,64 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
+    <ProductVersion>8.0.30703</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{D83C93B5-5DDE-4A66-A9B8-D7FD0A891ABB}</ProjectGuid>
+    <OutputType>Exe</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>Test</RootNamespace>
+    <AssemblyName>Test</AssemblyName>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile>Client</TargetFrameworkProfile>
+    <FileAlignment>512</FileAlignment>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <PlatformTarget>x86</PlatformTarget>
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <PlatformTarget>x86</PlatformTarget>
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="System" />
+    <Reference Include="System.Core" />
+    <Reference Include="System.Data.Linq" />
+    <Reference Include="System.Xml.Linq" />
+    <Reference Include="System.Data.DataSetExtensions" />
+    <Reference Include="Microsoft.CSharp" />
+    <Reference Include="System.Data" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="Program.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\HeuristicLab.Services.Authentication.DataAccess\HeuristicLab.Services.Authentication.DataAccess.csproj">
+      <Project>{AC7C2117-034E-4301-8A43-C869930D404E}</Project>
+      <Name>HeuristicLab.Services.Authentication.DataAccess</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
